#!/bin/sh -e

PACKAGE="hellogettext"
DIR="locale"

PDIR="$DIR/$PACKAGE"


if [ ! -d "$PDIR" ]; then
    echo "extract po file first"
    exit 1
fi


for PO in "$PDIR"/*.po;
do
    L=$(basename "$PO" .po)
    LDIR="$DIR/$L/LC_MESSAGES"
    if [ ! -d "$LDIR" ]; then
        mkdir -p "$LDIR"
    fi
    msgfmt -o "$LDIR/${PACKAGE}.mo" "$PO"
done
